Index: at_proto.c
===================================================================
--- at_proto.c	(.../stable/4/sys/netatalk)	(revision 196046)
+++ at_proto.c	(.../head/sys/netatalk)	(revision 196046)
@@ -1,5 +1,5 @@
-/*
- * Copyright (c) 1990,1991 Regents of The University of Michigan.
+/*-
+ * Copyright (c) 1990, 1991 Regents of The University of Michigan.
  * All Rights Reserved.
  *
  * Permission to use, copy, modify, and distribute this software and
@@ -19,6 +19,8 @@
  *	Ann Arbor, Michigan
  *	+1-313-763-0525
  *	netatalk@itd.umich.edu
+ *
+ * $FreeBSD$
  */
 
 #include <sys/param.h>
@@ -34,36 +36,29 @@
 #include <netatalk/ddp_var.h>
 #include <netatalk/at_extern.h>
 
-extern struct domain	atalkdomain;
+static struct domain	atalkdomain;
 
 static struct protosw	atalksw[] = {
-    {
-	/* Identifiers */
-	SOCK_DGRAM,	&atalkdomain,	ATPROTO_DDP,	PR_ATOMIC|PR_ADDR,
-	/*
-	 * protocol-protocol interface.
-	 * fields are pr_input, pr_output, pr_ctlinput, and pr_ctloutput.
-	 * pr_input can be called from the udp protocol stack for iptalk
-	 * packets bound for a local socket.
-	 * pr_output can be used by higher level appletalk protocols, should
-	 * they be included in the kernel.
-	 */
-	0,		ddp_output,	0,		0,
-	/* socket-protocol interface. deprecated */
-	NULL,
-	/* utility routines. */
-	ddp_init,	0,		0,		0,
-	&ddp_usrreqs
-    },
+	{
+		/* Identifiers */
+		.pr_type =		SOCK_DGRAM,
+		.pr_domain =		&atalkdomain,
+		.pr_protocol =		ATPROTO_DDP,
+		.pr_flags =		PR_ATOMIC|PR_ADDR,
+		.pr_output =		ddp_output,
+		.pr_init =		ddp_init,
+		.pr_usrreqs =		&ddp_usrreqs,
+	},
 };
 
 static struct domain	atalkdomain = {
-    AF_APPLETALK,	"appletalk",	0,	0,	0,
-    atalksw, &atalksw[sizeof(atalksw)/sizeof(atalksw[0])],
-    0, rn_inithead,
-    8 * (u_long) &((struct sockaddr_at *) 0)->sat_addr,
-    sizeof(struct sockaddr_at)
+	.dom_family =		AF_APPLETALK,
+	.dom_name =		"appletalk",
+	.dom_protosw =		atalksw,
+	.dom_protoswNPROTOSW =	&atalksw[sizeof(atalksw)/sizeof(atalksw[0])],
+	.dom_rtattach =		at_inithead,
+	.dom_rtoffset =		offsetof(struct sockaddr_at, sat_addr) << 3,
+	.dom_maxrtkey =		sizeof(struct sockaddr_at),
 };
 
 DOMAIN_SET(atalk);
-
Index: ddp_output.c
===================================================================
--- ddp_output.c	(.../stable/4/sys/netatalk)	(revision 196046)
+++ ddp_output.c	(.../head/sys/netatalk)	(revision 196046)
@@ -1,5 +1,5 @@
-/*
- * Copyright (c) 1990,1991 Regents of The University of Michigan.
+/*-
+ * Copyright (c) 1990, 1991 Regents of The University of Michigan.
  * All Rights Reserved.
  *
  * Permission to use, copy, modify, and distribute this software and
@@ -40,191 +40,208 @@
 #include <netatalk/ddp_var.h>
 #include <netatalk/at_extern.h>
 
+#include <security/mac/mac_framework.h>
+
 int	ddp_cksum = 1;
 
 int
-ddp_output( struct mbuf *m, struct socket *so)
+ddp_output(struct mbuf *m, struct socket *so)
 {
-    struct ddpehdr	*deh;
-    struct ddpcb *ddp = sotoddpcb( so );
+	struct ddpehdr	*deh;
+	struct ddpcb *ddp = sotoddpcb(so);
 
-    M_PREPEND( m, sizeof( struct ddpehdr ), M_WAIT );
+#ifdef MAC
+	mac_socket_create_mbuf(so, m);
+#endif
 
-    deh = mtod( m, struct ddpehdr *);
-    deh->deh_pad = 0;
-    deh->deh_hops = 0;
+	M_PREPEND(m, sizeof(struct ddpehdr), M_DONTWAIT);
+	if (m == NULL)
+	return (ENOBUFS);
 
-    deh->deh_len = m->m_pkthdr.len;
+	deh = mtod(m, struct ddpehdr *);
+	deh->deh_pad = 0;
+	deh->deh_hops = 0;
 
-    deh->deh_dnet = ddp->ddp_fsat.sat_addr.s_net;
-    deh->deh_dnode = ddp->ddp_fsat.sat_addr.s_node;
-    deh->deh_dport = ddp->ddp_fsat.sat_port;
-    deh->deh_snet = ddp->ddp_lsat.sat_addr.s_net;
-    deh->deh_snode = ddp->ddp_lsat.sat_addr.s_node;
-    deh->deh_sport = ddp->ddp_lsat.sat_port;
+	deh->deh_len = m->m_pkthdr.len;
 
-    /*
-     * The checksum calculation is done after all of the other bytes have
-     * been filled in.
-     */
-    if ( ddp_cksum ) {
-	deh->deh_sum = at_cksum( m, sizeof( int ));
-    } else {
-	deh->deh_sum = 0;
-    }
-    deh->deh_bytes = htonl( deh->deh_bytes );
+	deh->deh_dnet = ddp->ddp_fsat.sat_addr.s_net;
+	deh->deh_dnode = ddp->ddp_fsat.sat_addr.s_node;
+	deh->deh_dport = ddp->ddp_fsat.sat_port;
+	deh->deh_snet = ddp->ddp_lsat.sat_addr.s_net;
+	deh->deh_snode = ddp->ddp_lsat.sat_addr.s_node;
+	deh->deh_sport = ddp->ddp_lsat.sat_port;
 
+	/*
+	 * The checksum calculation is done after all of the other bytes have
+	 * been filled in.
+	 */
+	if (ddp_cksum)
+		deh->deh_sum = at_cksum(m, sizeof(int));
+	else
+		deh->deh_sum = 0;
+	deh->deh_bytes = htonl(deh->deh_bytes);
+
 #ifdef NETATALK_DEBUG
-    printf ("ddp_output: from %d.%d:%d to %d.%d:%d\n",
+	printf ("ddp_output: from %d.%d:%d to %d.%d:%d\n",
 	ntohs(deh->deh_snet), deh->deh_snode, deh->deh_sport,
 	ntohs(deh->deh_dnet), deh->deh_dnode, deh->deh_dport);
 #endif
-    return( ddp_route( m, &ddp->ddp_route ));
+	return (ddp_route(m, &ddp->ddp_route));
 }
 
 u_short
-at_cksum( struct mbuf *m, int skip)
+at_cksum(struct mbuf *m, int skip)
 {
-    u_char	*data, *end;
-    u_long	cksum = 0;
+	u_char	*data, *end;
+	u_long	cksum = 0;
 
-    for (; m; m = m->m_next ) {
-	for ( data = mtod( m, u_char * ), end = data + m->m_len; data < end;
-		data++ ) {
-	    if ( skip ) {
-		skip--;
-		continue;
-	    }
-	    cksum = ( cksum + *data ) << 1;
-	    if ( cksum & 0x00010000 ) {
-		cksum++;
-	    }
-	    cksum &= 0x0000ffff;
+	for (; m; m = m->m_next) {
+		for (data = mtod(m, u_char *), end = data + m->m_len;
+		    data < end; data++) {
+			if (skip) {
+				skip--;
+				continue;
+			}
+			cksum = (cksum + *data) << 1;
+			if (cksum & 0x00010000)
+				cksum++;
+			cksum &= 0x0000ffff;
+		}
 	}
-    }
 
-    if ( cksum == 0 ) {
-	cksum = 0x0000ffff;
-    }
-    return( (u_short)cksum );
+	if (cksum == 0)
+		cksum = 0x0000ffff;
+	return ((u_short)cksum);
 }
 
 int
-ddp_route( struct mbuf *m, struct route *ro)
+ddp_route(struct mbuf *m, struct route *ro)
 {
-    struct sockaddr_at	gate;
-    struct elaphdr	*elh;
-    struct mbuf		*m0;
-    struct at_ifaddr	*aa = NULL;
-    struct ifnet	*ifp = NULL;
-    u_short		net;
+	struct sockaddr_at	gate;
+	struct elaphdr	*elh;
+	struct mbuf		*m0;
+	struct at_ifaddr	*aa = NULL;
+	struct ifnet	*ifp = NULL;
+	u_short		net;
 
 #if 0
-    /* Check for net zero, node zero ("myself") */
-    if (satosat(&ro->ro_dst)->sat_addr.s_net == ATADDR_ANYNET
-        && satosat(&ro->ro_dst)->sat_addr.s_node == ATADDR_ANYNODE) {
-	    /* Find the loopback interface */
-    }
+	/* Check for net zero, node zero ("myself") */
+	if (satosat(&ro->ro_dst)->sat_addr.s_net == ATADDR_ANYNET
+	    && satosat(&ro->ro_dst)->sat_addr.s_node == ATADDR_ANYNODE) {
+		/* Find the loopback interface */
+	}
 #endif
 
-    /*
-     * if we have a route, find the ifa that refers to this route.
-     * I.e The ifa used to get to the gateway.
-     */
-    if ( (ro->ro_rt == NULL)
-    || ( ro->ro_rt->rt_ifa == NULL )
-    || ( (ifp = ro->ro_rt->rt_ifa->ifa_ifp) == NULL )) {
-	rtalloc(ro);
-    }
-    if ( (ro->ro_rt != NULL)
-    && ( ro->ro_rt->rt_ifa )
-    && ( ifp = ro->ro_rt->rt_ifa->ifa_ifp )) {
-	net = ntohs(satosat(ro->ro_rt->rt_gateway)->sat_addr.s_net);
-	for ( aa = at_ifaddr; aa; aa = aa->aa_next ) {
-	    if (((net == 0) || (aa->aa_ifp == ifp)) &&
-		    net >= ntohs( aa->aa_firstnet ) &&
-		    net <= ntohs( aa->aa_lastnet )) {
-		break;
-	    }
-	}
-    } else {
-	m_freem( m );
+	/*
+	 * If we have a route, find the ifa that refers to this route.  I.e
+	 * the ifa used to get to the gateway.
+	 */
+	if ((ro->ro_rt == NULL) || (ro->ro_rt->rt_ifa == NULL) ||
+	    ((ifp = ro->ro_rt->rt_ifa->ifa_ifp) == NULL))
+		rtalloc(ro);
+	if ((ro->ro_rt != NULL) && (ro->ro_rt->rt_ifa) &&
+	    (ifp = ro->ro_rt->rt_ifa->ifa_ifp)) {
+		net = ntohs(satosat(ro->ro_rt->rt_gateway)->sat_addr.s_net);
+		AT_IFADDR_RLOCK();
+		TAILQ_FOREACH(aa, &at_ifaddrhead, aa_link) {
+			if (((net == 0) || (aa->aa_ifp == ifp)) &&
+			    net >= ntohs(aa->aa_firstnet) &&
+			    net <= ntohs(aa->aa_lastnet))
+				break;
+		}
+		if (aa != NULL)
+			ifa_ref(&aa->aa_ifa);
+		AT_IFADDR_RUNLOCK();
+	} else {
+		m_freem(m);
 #ifdef NETATALK_DEBUG
-	if (ro->ro_rt == NULL)
-	    printf ("ddp_route: no ro_rt.\n");
-	else if (ro->ro_rt->rt_ifa == NULL)
-	    printf ("ddp_route: no ro_rt->rt_ifa\n");
-	else
-	    printf ("ddp_route: no ro_rt->rt_ifa->ifa_ifp\n");
+		if (ro->ro_rt == NULL)
+			printf ("ddp_route: no ro_rt.\n");
+		else if (ro->ro_rt->rt_ifa == NULL)
+			printf ("ddp_route: no ro_rt->rt_ifa\n");
+		else
+			printf ("ddp_route: no ro_rt->rt_ifa->ifa_ifp\n");
 #endif
-	return( ENETUNREACH );
-    }
+		return (ENETUNREACH);
+	}
 
-    if ( aa == NULL ) {
+	if (aa == NULL) {
 #ifdef NETATALK_DEBUG
-	printf( "ddp_route: no atalk address found for %s%d\n", 
-	    ifp->if_name, ifp->if_unit);
+		printf("ddp_route: no atalk address found for %s\n",
+		    ifp->if_xname);
 #endif
-	m_freem( m );
-	return( ENETUNREACH );
-    }
+		m_freem(m);
+		return (ENETUNREACH);
+	}
 
-    /*
-     * if the destination address is on a directly attached node use that,
-     * else use the official gateway.
-     */
-    if ( ntohs( satosat( &ro->ro_dst )->sat_addr.s_net ) >=
-	    ntohs( aa->aa_firstnet ) &&
-	    ntohs( satosat( &ro->ro_dst )->sat_addr.s_net ) <=
-	    ntohs( aa->aa_lastnet )) {
-	gate = *satosat( &ro->ro_dst );
-    } else {
-	gate = *satosat( ro->ro_rt->rt_gateway );
-    }
+	/*
+	 * If the destination address is on a directly attached node use
+	 * that, else use the official gateway.
+	 */
+	if (ntohs(satosat(&ro->ro_dst)->sat_addr.s_net) >=
+	    ntohs(aa->aa_firstnet) &&
+	    ntohs(satosat(&ro->ro_dst)->sat_addr.s_net) <=
+	    ntohs(aa->aa_lastnet))
+		gate = *satosat(&ro->ro_dst);
+	else
+		gate = *satosat(ro->ro_rt->rt_gateway);
 
-    /*
-     * There are several places in the kernel where data is added to
-     * an mbuf without ensuring that the mbuf pointer is aligned.
-     * This is bad for transition routing, since phase 1 and phase 2
-     * packets end up poorly aligned due to the three byte elap header.
-     */
-    if ( !(aa->aa_flags & AFA_PHASE2) ) {
-	MGET( m0, M_WAIT, MT_HEADER );
-	if ( m0 == 0 ) {
-	    m_freem( m );
-	    printf("ddp_route: no buffers\n");
-	    return( ENOBUFS );
+	/*
+	 * There are several places in the kernel where data is added to an
+	 * mbuf without ensuring that the mbuf pointer is aligned.  This is
+	 * bad for transition routing, since phase 1 and phase 2 packets end
+	 * up poorly aligned due to the three byte elap header.
+	 *
+	 * XXXRW: kern/4184 suggests that an m_pullup() of (m) should take
+	 * place here to address possible alignment issues.
+	 *
+	 * XXXRW: This appears not to handle M_PKTHDR properly, as it doesn't
+	 * move the existing header from the old packet to the new one.
+	 * Posibly should call M_MOVE_PKTHDR()?  This would also allow
+	 * removing mac_mbuf_copy().
+	 */
+	if (!(aa->aa_flags & AFA_PHASE2)) {
+		MGET(m0, M_DONTWAIT, MT_DATA);
+		if (m0 == NULL) {
+			ifa_free(&aa->aa_ifa);
+			m_freem(m);
+			printf("ddp_route: no buffers\n");
+			return (ENOBUFS);
+		}
+#ifdef MAC
+		mac_mbuf_copy(m, m0);
+#endif
+		m0->m_next = m;
+		/* XXX perhaps we ought to align the header? */
+		m0->m_len = SZ_ELAPHDR;
+		m = m0;
+
+		elh = mtod(m, struct elaphdr *);
+		elh->el_snode = satosat(&aa->aa_addr)->sat_addr.s_node;
+		elh->el_type = ELAP_DDPEXTEND;
+		elh->el_dnode = gate.sat_addr.s_node;
 	}
-	m0->m_next = m;
-	/* XXX perhaps we ought to align the header? */
-	m0->m_len = SZ_ELAPHDR;
-	m = m0;
+	ro->ro_rt->rt_use++;
 
-	elh = mtod( m, struct elaphdr *);
-	elh->el_snode = satosat( &aa->aa_addr )->sat_addr.s_node;
-	elh->el_type = ELAP_DDPEXTEND;
-	elh->el_dnode = gate.sat_addr.s_node;
-    }
-    ro->ro_rt->rt_use++;
-
 #ifdef NETATALK_DEBUG
-    printf ("ddp_route: from %d.%d to %d.%d, via %d.%d (%s%d)\n",
-	ntohs(satosat(&aa->aa_addr)->sat_addr.s_net),
-	satosat(&aa->aa_addr)->sat_addr.s_node,
-	ntohs(satosat(&ro->ro_dst)->sat_addr.s_net),
-	satosat(&ro->ro_dst)->sat_addr.s_node,
-	ntohs(gate.sat_addr.s_net),
-	gate.sat_addr.s_node,
-	ifp->if_name, ifp->if_unit);
+	printf ("ddp_route: from %d.%d to %d.%d, via %d.%d (%s)\n",
+	    ntohs(satosat(&aa->aa_addr)->sat_addr.s_net),
+	    satosat(&aa->aa_addr)->sat_addr.s_node,
+	    ntohs(satosat(&ro->ro_dst)->sat_addr.s_net),
+	    satosat(&ro->ro_dst)->sat_addr.s_node,
+	    ntohs(gate.sat_addr.s_net), gate.sat_addr.s_node, ifp->if_xname);
 #endif
 
-    /* short-circuit the output if we're sending this to ourself */
-    if ((satosat(&aa->aa_addr)->sat_addr.s_net  == satosat(&ro->ro_dst)->sat_addr.s_net) &&
-	(satosat(&aa->aa_addr)->sat_addr.s_node == satosat(&ro->ro_dst)->sat_addr.s_node))
-    {
-	return (if_simloop(ifp, m, gate.sat_family, 0));
-    }
+	/* Short-circuit the output if we're sending this to ourself. */
+	if ((satosat(&aa->aa_addr)->sat_addr.s_net ==
+	    satosat(&ro->ro_dst)->sat_addr.s_net) &&
+	    (satosat(&aa->aa_addr)->sat_addr.s_node ==
+	    satosat(&ro->ro_dst)->sat_addr.s_node)) {
+		ifa_free(&aa->aa_ifa);
+		return (if_simloop(ifp, m, gate.sat_family, 0));
+	}
+	ifa_free(&aa->aa_ifa);
 
-    return((*ifp->if_output)( ifp,
-	m, (struct sockaddr *)&gate, NULL)); /* XXX */
+	/* XXX */
+	return ((*ifp->if_output)(ifp, m, (struct sockaddr *)&gate, NULL));
 }
Index: aarp.h
===================================================================
--- aarp.h	(.../stable/4/sys/netatalk)	(revision 196046)
+++ aarp.h	(.../head/sys/netatalk)	(revision 196046)
@@ -1,11 +1,34 @@
-/*
+/*-
  * Copyright (c) 1990,1991 Regents of The University of Michigan.
  * All Rights Reserved.
  *
+ * Permission to use, copy, modify, and distribute this software and
+ * its documentation for any purpose and without fee is hereby granted,
+ * provided that the above copyright notice appears in all copies and
+ * that both that copyright notice and this permission notice appear
+ * in supporting documentation, and that the name of The University
+ * of Michigan not be used in advertising or publicity pertaining to
+ * distribution of the software without specific, written prior
+ * permission. This software is supplied as is without expressed or
+ * implied warranties of any kind.
+ *
+ * This product includes software developed by the University of
+ * California, Berkeley and its contributors.
+ *
+ *	Research Systems Unix Group
+ *	The University of Michigan
+ *	c/o Wesley Craig
+ *	535 W. William Street
+ *	Ann Arbor, Michigan
+ *	+1-313-764-2278
+ *	netatalk@umich.edu
+ *
  * $FreeBSD$
  */
 
 #ifndef _NETATALK_AARP_H_
+#define	_NETATALK_AARP_H_
+
 /*
  * This structure is used for both phase 1 and 2. Under phase 1
  * the net is not filled in. It is in phase 2. In both cases, the
@@ -14,46 +37,47 @@
  * would be 1 and 3 respectively for phase 1 and 2.
  */
 union aapa {
-    u_char		ap_pa[4];
-    struct ap_node {
-	u_char		an_zero;
-	u_char		an_net[2];
-	u_char		an_node;
-    } ap_node;
+	u_char ap_pa[4];
+	struct ap_node {
+		u_char an_zero;
+		u_char an_net[2];
+		u_char an_node;
+	} __packed ap_node;
 };
 
 struct ether_aarp {
-    struct arphdr	eaa_hdr;
-    u_char		aarp_sha[6];
-    union aapa		aarp_spu;
-    u_char		aarp_tha[6];
-    union aapa		aarp_tpu;
-};
-#define aarp_hrd	eaa_hdr.ar_hrd
-#define aarp_pro	eaa_hdr.ar_pro
-#define aarp_hln	eaa_hdr.ar_hln
-#define aarp_pln	eaa_hdr.ar_pln
-#define aarp_op		eaa_hdr.ar_op
-#define aarp_spa	aarp_spu.ap_node.an_node
-#define aarp_tpa	aarp_tpu.ap_node.an_node
-#define aarp_spnet	aarp_spu.ap_node.an_net
-#define aarp_tpnet	aarp_tpu.ap_node.an_net
-#define aarp_spnode	aarp_spu.ap_node.an_node
-#define aarp_tpnode	aarp_tpu.ap_node.an_node
+	struct arphdr eaa_hdr;
+	u_char aarp_sha[6];
+	union aapa aarp_spu;
+	u_char aarp_tha[6];
+	union aapa aarp_tpu;
+} __packed;
 
+#define	aarp_hrd	eaa_hdr.ar_hrd
+#define	aarp_pro	eaa_hdr.ar_pro
+#define	aarp_hln	eaa_hdr.ar_hln
+#define	aarp_pln	eaa_hdr.ar_pln
+#define	aarp_op		eaa_hdr.ar_op
+#define	aarp_spa	aarp_spu.ap_node.an_node
+#define	aarp_tpa	aarp_tpu.ap_node.an_node
+#define	aarp_spnet	aarp_spu.ap_node.an_net
+#define	aarp_tpnet	aarp_tpu.ap_node.an_net
+#define	aarp_spnode	aarp_spu.ap_node.an_node
+#define	aarp_tpnode	aarp_tpu.ap_node.an_node
+
 struct aarptab {
-    struct at_addr	aat_ataddr;
-    u_char		aat_enaddr[ 6 ];
-    u_char		aat_timer;
-    u_char		aat_flags;
-    struct mbuf		*aat_hold;
+	struct at_addr aat_ataddr;
+	u_char aat_enaddr[6];
+	u_char aat_timer;
+	u_char aat_flags;
+	struct mbuf *aat_hold;
 };
 
-#define AARPHRD_ETHER	0x0001
+#define	AARPHRD_ETHER	0x0001
 
-#define AARPOP_REQUEST	0x01
-#define AARPOP_RESPONSE	0x02
-#define AARPOP_PROBE	0x03
+#define	AARPOP_REQUEST	0x01
+#define	AARPOP_RESPONSE	0x02
+#define	AARPOP_PROBE	0x03
 
 #ifdef _KERNEL
 struct aarptab		*aarptnew(struct at_addr      *);
Index: at_rmx.c
===================================================================
--- at_rmx.c	(.../stable/4/sys/netatalk)	(revision 196046)
+++ at_rmx.c	(.../head/sys/netatalk)	(revision 196046)
@@ -1,4 +1,4 @@
-/*
+/*-
  * Copyright 1994, 1995 Massachusetts Institute of Technology
  *
  * Permission to use, copy, modify, and distribute this software and
@@ -27,9 +27,10 @@
  * SUCH DAMAGE.
  *
  * at_rmx.c,v 1.13 1995/05/30 08:09:31 rgrimes Exp
+ * $FreeBSD$
  */
 
-/* This code generates debugging traces to the radix code */
+/* This code generates debugging traces to the radix code. */
 
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -37,98 +38,63 @@
 
 #include <net/route.h>
 
-int at_inithead(void **head, int off);
+int	at_inithead(void **head, int off);
 
-static char hexbuf[256];
+#if 0
+#define	HEXBUF_LEN	256
 
-static char *
-prsockaddr(void *v)
+static const char *
+prsockaddr(void *v, char *hexbuf)
 {
 	char *bp = &hexbuf[0];
 	u_char *cp = v;
 
-	if (v) {
+	if (v != NULL) {
 		int len = *cp;
 		u_char *cplim = cp + len;
 
 		/* return: "(len) hexdump" */
 
 		bp += sprintf(bp, "(%d)", len);
-		for (cp++; cp < cplim && bp < hexbuf+252; cp++) {
+		for (cp++; cp < cplim && bp < hexbuf + (HEXBUF_LEN - 4);
+		    cp++) {
 			*bp++ = "0123456789abcdef"[*cp / 16];
 			*bp++ = "0123456789abcdef"[*cp % 16];
 		}
-	} else {
+	} else
 		bp+= sprintf(bp, "null");
-	}
 	*bp = '\0';
-	
-	return &hexbuf[0];
+	return (hexbuf);
 }
+#endif
 
 static struct radix_node *
 at_addroute(void *v_arg, void *n_arg, struct radix_node_head *head,
 	    struct radix_node *treenodes)
 {
-	struct radix_node *rn;
 
-	printf("at_addroute: v=%s\n", prsockaddr(v_arg));
-	printf("at_addroute: n=%s\n", prsockaddr(n_arg));
-	printf("at_addroute: head=%p treenodes=%p\n",
-	    (void *)head, (void *)treenodes);
-
-	rn = rn_addroute(v_arg, n_arg, head, treenodes);
-
-	printf("at_addroute: returns rn=%p\n", (void *)rn);
-
-	return rn;
+	return (rn_addroute(v_arg, n_arg, head, treenodes));
 }
 
 static struct radix_node *
 at_matroute(void *v_arg, struct radix_node_head *head)
 {
-	struct radix_node *rn;
 
-	printf("at_matroute: v=%s\n", prsockaddr(v_arg));
-	printf("at_matroute: head=%p\n", (void *)head);
-
-	rn = rn_match(v_arg, head);
-
-	printf("at_matroute: returnr rn=%p\n", (void *)rn);
-
-	return rn;
+	return (rn_match(v_arg, head));
 }
 
 static struct radix_node *
 at_lookup(void *v_arg, void *m_arg, struct radix_node_head *head)
 {
-	struct radix_node *rn;
 
-	printf("at_lookup: v=%s\n", prsockaddr(v_arg));
-	printf("at_lookup: n=%s\n", prsockaddr(m_arg));
-	printf("at_lookup: head=%p\n", (void *)head);
-
-	rn = rn_lookup(v_arg, m_arg, head);
-
-	printf("at_lookup: returns rn=%p\n", (void *)rn);
-
-	return rn;
+	return (rn_lookup(v_arg, m_arg, head));
 }
 
-static struct radix_node *  
+static struct radix_node *
 at_delroute(void *v_arg, void *netmask_arg, struct radix_node_head *head)
 {
-	struct radix_node *rn;
 
-	printf("at_delroute: v=%s\n", prsockaddr(v_arg));
-	printf("at_delroute: n=%s\n", prsockaddr(netmask_arg));
-	printf("at_delroute: head=%p\n", (void *)head);
-
-	rn = rn_delete(v_arg, netmask_arg, head);
-
-	printf("at_delroute: returns rn=%p\n", (void *)rn);
-
-	return rn;
+	return (rn_delete(v_arg, netmask_arg, head));
 }
 
 /*
@@ -139,13 +105,13 @@
 {
 	struct radix_node_head *rnh;
 
-	if(!rn_inithead(head, off))
-		return 0;
+	if (!rn_inithead(head, off))
+		return (0);
 
 	rnh = *head;
 	rnh->rnh_addaddr = at_addroute;
 	rnh->rnh_deladdr = at_delroute;
 	rnh->rnh_matchaddr = at_matroute;
 	rnh->rnh_lookup = at_lookup;
-	return 1;
+	return (1);
 }
